gnutls_x509_crq_get_attribute_info(3)

NAME
gnutls_x509_crq_get_attribute_info - Get attribute id

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_attribute_info(gnutls_x509_crq_t cert, int indx, void * oid, size_t * sizeof_oid);

ARGUMENTS

gnutls_x509_crq_t cert
    should contain a gnutls_x509_crq_t structure

int indx
    Specifies which attribute OID to send. Use zero to get the first one.

void * oid
    a pointer to a structure to hold the OID

size_t * sizeof_oid
    initially holds the maximum size of oid, on return holds actual size of oid.

DESCRIPTION
This function will return the requested attribute OID in the certificate, and the critical flag for it. The attribute OID will be stored as a string in the provided buffer. Use gnutls_x509_crq_get_attribute_data() to extract the data.

If the buffer provided is not long enough to hold the output, then *sizeof_oid is updated and GNUTLS_E_SHORT_MEMORY_BUFFER will be returned.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative value in case of an error. If your have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.